Bug 1511626 (CVE-2017-15112) - CVE-2017-15112 keycloak-httpd-client-install: unsafe use of -p/--admin-password on command line
Summary: CVE-2017-15112 keycloak-httpd-client-install: unsafe use of -p/--admin-passwo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15112
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1531307 1531335 1531336 1531337 1531344 1531345 1531346 1533202
Blocks: 1517252
TreeView+ depends on / blocked
 
Reported: 2017-11-09 18:15 UTC by Pedro Sampaio
Modified: 2019-09-29 14:25 UTC (History)
17 users (show)

Fixed In Version: keycloak 0.8
Doc Type: If docs needed, set a value
Doc Text:
In keycloak-http-client-install prior to version 0.8, the admin password could be provided through a command-line argument. This might result in the password being leaked through shell history, or becoming visible to a local attacker at the time the program is running.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:18:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2137 None None None 2019-08-06 12:19:49 UTC

Description Pedro Sampaio 2017-11-09 18:15:39 UTC
A flaw was discovered in keycloak-httpd-client-install version 0.6-2. The -p/--admin-password option ask for a password through the command line, possibly leaking it via command history.

Comment 4 Summer Long 2018-01-04 23:34:44 UTC
Created keycloak-httpd-client-install tracking bugs for this issue:

Affects: fedora-all [bug 1531307]

Comment 12 Andrej Nemec 2018-05-14 12:21:07 UTC
Statement:

Red Hat Product Security has rated this issue as having security impact of Low. This issue may be fixed in a future version of Red Hat Enterprise Linux.

OpenStack users please note, this issue is present in:
* Red Hat OpenStack Platform 9.0 (Mitaka)
* Red Hat OpenStack Platform 10.0 (Newton) 
* Red Hat OpenStack Platform 11.0 (Ocata)

If a fixed version of keycloak-httpd-client-install is made available in Red Hat Enterprise Linux, OpenStack customers should consume this package directly from the Red Hat Enterprise Linux channel (this occurs during normal updates).

Comment 13 errata-xmlrpc 2019-08-06 12:19:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2137 https://access.redhat.com/errata/RHSA-2019:2137

Comment 14 Product Security DevOps Team 2019-08-06 13:18:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-15112


Note You need to log in before you can comment on or make changes to this bug.